[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomHeaderControl.Destroy

Destructor for the class instance.

## Declaration

Source position: comctrls.pp line 4088

`public destructor TCustomHeaderControl.Destroy; override;`

## Description

Destroy is the overridden destructor for TCustomHeaderControl. It ensures that resources allocated to the Sections property are freed, and calls the inherited method prior to exit.

## See also

TCustomControl.Destroy |  | Destructor for the class instance.